Đến nội dung


Hình ảnh
- - - - -

[Đã xong] Lisp chuyển Dtext thành Mtext (nhiều đối tượng)


  • Chủ đề bị khóa Chủ đề bị khóa
8 replies to this topic

#1 asdf

asdf

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 28 June 2011 - 03:22 PM

các bác chỉ cách chuyển text thành mtext giúp mình nhé. Cám ơn các bác nhiều nhiều. file mình cần chuyển: http://www.cadviet.c.../3/drawing5.dwg
  • 0

#2 hochoaivandot

hochoaivandot

    biết dimradius

  • Members
  • PipPipPipPipPip
  • 310 Bài viết
Điểm đánh giá: 107 (tàm tạm)

Đã gửi 28 June 2011 - 03:31 PM

các bác chỉ cách chuyển text thành mtext giúp mình nhé. Cám ơn các bác nhiều nhiều. file mình cần chuyển: http://www.cadviet.c.../3/drawing5.dwg


Bước 1 : Cài Express cho Cad. Nếu đã cài thì bước này bỏ qua.
Bước 2 : Dùng lệnh txt2mtxt, Hoặc vào menu Express\Text\Convert text to mtext
  • 0

Dương Bá Diệp

 

www.cadonline.duyxuyen.vn 

 

Thành viên nhóm CADMAGIC

 


#3 asdf

asdf

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 28 June 2011 - 03:50 PM

oh nhưng mà mình muốn chuyển cùng lúc nhiều đối tượng nhưng vẫn không thay đổi vị trí các text mà, làm như cách của bác hochoaivandot thì khi chuyển nhiều text các text gộp chung lại trong 1 mtext duy nhất :(
  • 0

#4 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 28 June 2011 - 03:57 PM

oh nhưng mà mình muốn chuyển cùng lúc nhiều đối tượng nhưng vẫn không thay đổi vị trí các text mà, làm như cách của bác hochoaivandot thì khi chuyển nhiều text các text gộp chung lại trong 1 mtext duy nhất :(

Bạn thử cái này nhé :

(defun c:t->mt() (mapcar '(lambda(x) (command "txt2mtxt" x "")) (acet-ss-to-list (ssget '((0 . "TEXT"))))))

  • 2

#5 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5682 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 28 June 2011 - 04:06 PM

oh nhưng mà mình muốn chuyển cùng lúc nhiều đối tượng nhưng vẫn không thay đổi vị trí các text mà, làm như cách của bác hochoaivandot thì khi chuyển nhiều text các text gộp chung lại trong 1 mtext duy nhất :(

Vấn đề chuyển Text sang Mtext cũng nhạy cảm, nên dù có chuyển hàng loạt được bạn vẫn phải cân nhắc nhé :)
(defun c:t2mt()(foreach en (acet-ss-to-list (ssget '((0 . "*TEXT")))) (command "_txt2mtxt" En "")))

  • 2

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#6 asdf

asdf

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 28 June 2011 - 04:09 PM

hihi mình làm được rồi, cám ơn bác Tue_NV nhiều nhé!!!
  • 0

#7 asdf

asdf

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 28 June 2011 - 04:13 PM

vấn đề nhạy cảm là sao vậy bác ketxu?
  • 0

#8 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5682 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 28 June 2011 - 04:21 PM

vấn đề nhạy cảm là sao vậy bác ketxu?

Là....sau khi dùng bạn sẽ thấy :lol:
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#9 ponaparte2003

ponaparte2003

    biết vẽ rectang

  • Members
  • PipPip
  • 83 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 28 June 2011 - 05:14 PM

vấn đề nhạy cảm là sao vậy bác ketxu?

Mtext dùng để gõ các Title (để căn dòng chế độ Midde Center) hoặc các ghi chú thì rất tiện do dễ co kéo và căn chỉnh. Nhưng khi cần hiệu chỉnh đồng loạt các đối tượng Text đơn lẻ thì rất dở vì không tận dụng được các ưu thế của các Lisp đã Post trên diễn đàn (đổi Font, convert sang VNI-TCVN-UNICODE). Bạn hãy thử trải nghiệm là biết. Với lại dùng nhiều Mtext trong bản vẽ thì dung lượng bản vẽ tăng lên khá nhiều.
  • 2
Y=acosh(x/a)